Open CASCADE Technology: Geom2dHatch_Hatching Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2dHatch_Hatching Class Reference

`#include <Geom2dHatch_Hatching.hxx>`

## Public Member Functions
| Geom2dHatch_Hatching ()
| Geom2dHatch_Hatching (const Geom2dAdaptor_Curve &Curve)
| Creates a hatching. More...
const Geom2dAdaptor_Curve & | Curve () const
| Returns the curve associated to the hatching. More...
Geom2dAdaptor_Curve & | ChangeCurve ()
| Returns the curve associated to the hatching. More...
void | TrimDone (const Standard_Boolean Flag)
| Sets the flag about the trimming computations to the given value. More...
Standard_Boolean | TrimDone () const
| Returns the flag about the trimming computations. More...
void | TrimFailed (const Standard_Boolean Flag)
| Sets the flag about the trimming failure to the given value. More...
Standard_Boolean | TrimFailed () const
| Returns the flag about the trimming failure. More...
void | IsDone (const Standard_Boolean Flag)
| Sets the flag about the domains computation to the given value. More...
Standard_Boolean | IsDone () const
| Returns the flag about the domains computation. More...
void | Status (const HatchGen_ErrorStatus Status)
| Sets the error status. More...
HatchGen_ErrorStatus | Status () const
| Returns the error status. More...
void | AddPoint (const HatchGen_PointOnHatching &Point, const Standard_Real Confusion)
| Adds an intersection point to the hatching. More...
Standard_Integer | NbPoints () const
| Returns the number of intersection points of the hatching. More...
const HatchGen_PointOnHatching & | Point (const Standard_Integer Index) const
| Returns the Index-th intersection point of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbPoints. More...
HatchGen_PointOnHatching & | ChangePoint (const Standard_Integer Index)
| Returns the Index-th intersection point of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbPoints. More...
void | RemPoint (const Standard_Integer Index)
| Removes the Index-th intersection point of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbPoints. More...
void | ClrPoints ()
| Removes all the intersection points of the hatching. More...
void | AddDomain (const HatchGen_Domain &Domain)
| Adds a domain to the hatching. More...
Standard_Integer | NbDomains () const
| Returns the number of domains of the hatching. More...
const HatchGen_Domain & | Domain (const Standard_Integer Index) const
| Returns the Index-th domain of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbDomains. More...
void | RemDomain (const Standard_Integer Index)
| Removes the Index-th domain of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbDomains. More...
void | ClrDomains ()
| Removes all the domains of the hatching. More...
gp_Pnt2d | ClassificationPoint () const
| Returns a point on the curve. This point will be used for the classification. More...

## Constructor & Destructor Documentation

Geom2dHatch_Hatching::Geom2dHatch_Hatching | ( |  | ) |

Geom2dHatch_Hatching::Geom2dHatch_Hatching | ( | const Geom2dAdaptor_Curve & | Curve | ) |

Creates a hatching.

## Member Function Documentation

void Geom2dHatch_Hatching::AddDomain | ( | const HatchGen_Domain & | Domain | ) |

Adds a domain to the hatching.

void Geom2dHatch_Hatching::AddPoint | ( | const HatchGen_PointOnHatching & | Point,
|  | const Standard_Real | Confusion
| ) |  |

Adds an intersection point to the hatching.

Geom2dAdaptor_Curve& Geom2dHatch_Hatching::ChangeCurve | ( |  | ) |

Returns the curve associated to the hatching.

HatchGen_PointOnHatching& Geom2dHatch_Hatching::ChangePoint | ( | const Standard_Integer | Index | ) |

Returns the Index-th intersection point of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbPoints.

gp_Pnt2d Geom2dHatch_Hatching::ClassificationPoint | ( |  | ) | const

Returns a point on the curve. This point will be used for the classification.

void Geom2dHatch_Hatching::ClrDomains | ( |  | ) |

Removes all the domains of the hatching.

void Geom2dHatch_Hatching::ClrPoints | ( |  | ) |

Removes all the intersection points of the hatching.

const Geom2dAdaptor_Curve& Geom2dHatch_Hatching::Curve | ( |  | ) | const

Returns the curve associated to the hatching.

const HatchGen_Domain& Geom2dHatch_Hatching::Domain | ( | const Standard_Integer | Index | ) | const

Returns the Index-th domain of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbDomains.

void Geom2dHatch_Hatching::IsDone | ( | const Standard_Boolean | Flag | ) |

Sets the flag about the domains computation to the given value.

Standard_Boolean Geom2dHatch_Hatching::IsDone | ( |  | ) | const

Returns the flag about the domains computation.

Standard_Integer Geom2dHatch_Hatching::NbDomains | ( |  | ) | const

Returns the number of domains of the hatching.

Standard_Integer Geom2dHatch_Hatching::NbPoints | ( |  | ) | const

Returns the number of intersection points of the hatching.

const HatchGen_PointOnHatching& Geom2dHatch_Hatching::Point | ( | const Standard_Integer | Index | ) | const

Returns the Index-th intersection point of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbPoints.

void Geom2dHatch_Hatching::RemDomain | ( | const Standard_Integer | Index | ) |

Removes the Index-th domain of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbDomains.

void Geom2dHatch_Hatching::RemPoint | ( | const Standard_Integer | Index | ) |

Removes the Index-th intersection point of the hatching. The exception OutOfRange is raised if Index < 1 or Index > NbPoints.

void Geom2dHatch_Hatching::Status | ( | const HatchGen_ErrorStatus | Status | ) |

Sets the error status.

HatchGen_ErrorStatus Geom2dHatch_Hatching::Status | ( |  | ) | const

Returns the error status.

void Geom2dHatch_Hatching::TrimDone | ( | const Standard_Boolean | Flag | ) |

Sets the flag about the trimming computations to the given value.

Standard_Boolean Geom2dHatch_Hatching::TrimDone | ( |  | ) | const

Returns the flag about the trimming computations.

void Geom2dHatch_Hatching::TrimFailed | ( | const Standard_Boolean | Flag | ) |

Sets the flag about the trimming failure to the given value.

Standard_Boolean Geom2dHatch_Hatching::TrimFailed | ( |  | ) | const

Returns the flag about the trimming failure.

The documentation for this class was generated from the following file:

- Geom2dHatch_Hatching.hxx